package kdo.domain;

public interface IPSOIndividuum extends IOptimizationState {
	// TODO: getVelocity depending on Dimensions in Problem
	public float[] getVelocity();

	public void initializeVelocity();

	// TODO: getCurrentPosition, getBestPosition / getCurrentValue, getBestValue
	public float[] getCurrentPosition();

	public float[] getBestPosition();

	public float getCurrentValue();

	public float getBestValue();

	// TODO: getBestNeighborPosition / getBestNeighborValue
	public float[] getBestNeighborPosition();

	public float getBestNeighborValue();

	// updateBestNeighbor
	public void updateBestNeighbor(float[] bestNeighbor, float bestValue);

	// updateBest
	public void updateBest();

	// updateVelocity
	public void updateVelocity(int iteration, int maxIterations);

	// updatePosition
	public void updatePosition();
}
