package kdo.search.strategy.local.genetic;

import kdo.domain.IPSOIndividuum;

public interface ISwarm extends IOptimizationStateGroup {
	IPSOIndividuum search(int iterations, long maxRuntime);

	public void initializeParticles();

	public void updateGroups();

	public void updateParticleBest();

	public void updateParticleVelocity(int maxIterations);

	public void updateParticlePosition();
}
