/*******************************************************************************
 * Copyright 2008, 2012 Hochschule Offenburg
 * Klaus Dorer, Mathias Ehret, Stefan Glaser, Thomas Huber, Fabian Korak,
 * Simon Raffeiner, Srinivasa Ragavan, Thomas Rinklin,
 * Joachim Schilling, Ingo Schindler, Rajit Shahi, Bjoern Weiler
 *
 * This file is part of magmaOffenburg.
 *
 * magmaOffenburg is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * magmaOffenburg is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with magmaOffenburg. If not, see <http://www.gnu.org/licenses/>.
 *******************************************************************************/
package kdo.ebnDevKit.gui.dialogs;

import java.awt.Dimension;

import javax.swing.JScrollPane;
import javax.swing.JTable;

class TableHelper
{
	public static void setTableSize(JTable relevanceConditionTable, JScrollPane tableScrollPane, final int rowsVisible)
	{
		Dimension newTableSize = relevanceConditionTable.getPreferredSize();
		Dimension headerPrefSize = relevanceConditionTable.getTableHeader().getPreferredSize();
		newTableSize.height = (rowsVisible * relevanceConditionTable.getRowHeight()) + headerPrefSize.height;
		tableScrollPane.getViewport().setPreferredSize(newTableSize);
		tableScrollPane.setMinimumSize(new Dimension(newTableSize));
	}
}
